=== examples/portable-models/CMakeLists.txt ===
#
# KIM-API: An API for interatomic models
# Copyright (c) 2013--2022, Regents of the University of Minnesota.
# All rights reserved.
#
# Contributors:
#    Richard Berger
#    Christoph Junghans
#    Ryan S. Elliott
#
# SPDX-License-Identifier: LGPL-2.1-or-later
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
#

#
# Release: This file is part of the kim-api.git repository.
#


cmake_minimum_required(VERSION 3.10)

add_subdirectory(ex_model_Ar_P_LJ)
add_subdirectory(ex_model_Ar_P_MLJ_Fortran)
add_subdirectory(ex_model_Ar_P_Morse)
add_subdirectory(ex_model_Ar_P_Morse_07C)
add_subdirectory(ex_model_Ar_P_Morse_07C_w_Extensions)
add_subdirectory(ex_model_Ar_P_Morse_MultiCutoff)
add_subdirectory(ex_model_Ar_SLJ_MultiCutoff)
add_subdirectory(LennardJones612_UniversalShifted__MO_959249795837_003)
add_subdirectory(LennardJones_Ar)
