=== debian/changelog ===
kim-api (2.4.1-3) unstable; urgency=medium

  * [fb15642] fix(tests): Update test input for cluster tests

  [ Debian Janitor ]
  * [f7d9996] Apply multi-arch hints. + libkim-api-doc: Add Multi-Arch: foreign.

 -- Anton Gladky <gladk@debian.org>  Fri, 22 Aug 2025 07:16:44 +0200

kim-api (2.4.1-2) unstable; urgency=medium

  * [975e973] fix: Relax openkim-models dependency version

 -- Anton Gladky <gladk@debian.org>  Tue, 19 Aug 2025 19:37:00 +0200

kim-api (2.4.1-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sun, 17 Aug 2025 08:47:09 +0200

kim-api (2.4.1-1~exp1) experimental; urgency=medium

  * [f2cec81] refactor(copyright): Switch to LGPL-2.1-or-later
  * [23e29cb] New upstream version 2.4.1
  * [dc763ee] chore: Update Standards-Version to 4.7.2
  * [cca6d99] Update patch

 -- Anton Gladky <gladk@debian.org>  Sun, 15 Jun 2025 22:47:59 +0200
