=== debian/tests/control ===
Tests: cluster cluster-cpp cluster-fortran
Depends: libkim-api-dev, libkim-api-doc, openkim-models (>= 1:2021.08.11-1), build-essential, cmake, gfortran, xxd
